/* -*-C-*- */
#ifndef MST_CFG_H
#define MST_CFG_H

/**
 * \file config_parser.h
 * \brief Configuration file parser.
 *  
 *  The configuration parser analyzes a configuration file and
 *  divides it into blocks and assignment statements.
 *
 *  The configuration file has the syntax:
 *  
 * \verbatim
 *  
 *  Block:
 *  
 *  <Block Type> [<Block Name>] {
 *	[Block] | [Assignment]
 *	...
 *  }
 *
 *  Assignment:
 *
 *  <Variable name> = <Value>
 *
 * \endverbatim
 *
 *	
*/

int config_parser_read(const char *filename,
		void (*f_begin_block)(const char *, const char *),
		void (*f_end_block) (),
		void (*f_set_attr)(const char *, const char *));

#endif


