#include <stdio.h>
#include <string.h>
#include "cpu_info.h"

#define PROCDIR = "/proc/"
#define INPUT_BUFFER_LEN 512

static char m_input_buffer[INPUT_BUFFER_LEN];

/**
 * \brief Reads the CPU information from the system.
 *
 *  Reads the current CPU counters from /proc/stat.
 *
 * \param ci Pointer where to store the CPU information.
 * \return 1 on success, else 0.
 */
int cpu_info_update(CpuInfo *ci)
{
    FILE *fc;
    int result;
    char *rvc;

    result = 0;
    
    fc = fopen("/proc/stat", "r");
    if (fc != NULL)
    {
	
	result = fscanf(fc, "cpu %lu %lu %lu %lu",
	       &ci->utime,
	       &ci->ntime,
	       &ci->stime,
	       &ci->itime
	       );
	
	ci->btime = 0;
	rvc = fgets(m_input_buffer, INPUT_BUFFER_LEN-1, fc);
	while((rvc != NULL) && (ci->btime == 0))
	{
	    if (strstr(m_input_buffer, "btime") != NULL)
		sscanf(m_input_buffer, "btime %ld", &ci->btime);
	    rvc = fgets(m_input_buffer, INPUT_BUFFER_LEN-1, fc);
	}
	fclose(fc);
    }
    return (result > 0);
}





    
