/* -*-C-*- */
#ifndef CPU_INFO_H
#define CPU_INFO_H

/**
   \file cpu_info.h
   \brief Functions to read CPU information from the system.
*/

/**
 * \brief CPU load information.
 * This structure contains Linux CPU informations from /proc/stat.
 * Times are measured in Jiffies (=10ms).
 */
typedef struct
{
    unsigned long utime;		/**< Jiffies spent in user mode  */
    unsigned long ntime;		/**< Jiffies spent in user mode with low priority (nice)  */
    unsigned long stime;		/**< Jiffies spent in system mode  */
    unsigned long itime;		/**< Idle time in jiffies  */
    unsigned long btime;		/**< Boot time in seconds since January 1, 1970  */
} CpuInfo;

int cpu_info_update(CpuInfo *ci);


#endif




