#ifndef PROCESS_ARRAY_H
#define PROCESS_ARRAY_H

#include "process.h"

/**
 * \file process_array.h
 * \brief Structure and functions for arrays of ProcessData.
 */


/**
 * \brief Array of ProcessData structures
 */
typedef struct {
    ProcessData *pd;			/**< data array */
    int size;				/**< number of valid entries */
    int maxsize;			/**< capacity of data array */
} ProcessArray;

ProcessArray *process_array_create();
void process_array_redim(ProcessArray *pa, int newsize);
void process_array_free(ProcessArray *pa);
ProcessData *process_array_findByPID(ProcessArray *pa, int pid);
ProcessData *process_array_findByTag(ProcessArray *pa, const char *tag);
void process_array_clear(ProcessArray *pa) ;


#endif
