/* -*-C-*- */
#ifndef ENVIRONMENT_H
#define ENVIRONMENT_H

#include "array.h"

#define ENVIRONMENT_LEN_NAME 64		/**< Maximal length of the variable name. */
#define ENVIRONMENT_LEN_VALUE 128       /**< Maximal length of the value */

/**
 * \file environment.h
 * \brief Defines a structure for environment variables.
 */


/**
   \brief A structure for environment variables.
 */
typedef struct 
{
    char *name;				/**< Variable name */
    char *value;			/**< Value */
} EnvironmentEntry;


void environment_destroy(void *data);
EnvironmentEntry *environment_create(const char *attr, const char *value);
int environment_init(EnvironmentEntry *env,const char *attr, const char *value);
void environment_array_add(Array *array, const char *attr, const char *value);
void environment_array_assign(Array *env);


#endif
