/* -*-C-*- */
#ifndef OPTIONS_H
#define OPTIONS_H

#define OPTIONS_LEN_USER_NAME 64	/**< Size of field user_name */
#define OPTIONS_LEN_CONFIG_FILE 512	/**< Size of field config_file  */

/**
 * \file options.h
 * Command-line options for autoprocd.
 */

/**
 * \brief Command-Line options
 */
typedef struct
{

    int set_debug_enabled;			/**< Option -D: Debug mode. Run in foreground. */
    int set_user;			/**< Option -u: Run as user  */
    int set_config_file;		/**< Option -c: Specified config file */
    int set_ioperm;			/**< option -i: Set I/O Permissions for ports  */
    int debug_level;  /**< Option -l: Debug level */
    char config_file[OPTIONS_LEN_CONFIG_FILE]; /**< Option -c: Configuration file path */
    char user_name[OPTIONS_LEN_USER_NAME]; /**< Option -u: User name */
     

} Options;

void options_set_defaults(Options *opt);
Options *options_create();
void options_read(Options *opt, int argc, char **argv);
Options *options_create_from_args(int argc, char **argv);

#endif
