/* -*-C-*- */
#ifndef SETUP_H
#define SETUP_H

#include "shell_command.h"
#include "configuration.h"
#include "array.h"
#include "options.h"

/**
 * \file setup.h
 * \brief Setup and configuration of autoprocd.
 *
 * The setup module contains the process array,
 * the shell commands array, and the global options.
 * It also contains functions to create, initialize,
 * and access these data.
 */

Configuration *setup_initialize(Options *options, const char *configFile);
Array *setup_get_processes();
Array *setup_get_shell_commands();
Configuration *setup_get_configuration();
void setup_reinitialize();
void setup_execute_global_init();


#endif
